Subject: Re: bash and ~
From: [email-masked] (Larry Hall)

24 Feb 1998 21:16:09 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked] (Daniel Karipides), [email-masked]

At 10:46 AM 2/23/98 -0500, Daniel Karipides wrote:
>
>I tried to check the archives for this, but couldn't find any mention
>of the following problem.
>
>I have defined the enivornment variable $HOME to:
>
>D:\Users\smith
>
>I need it defined this way so that emacs (among other programs) works
>correctly when not started from bash.  However, in bash I noticed the
>following:
>
>bash$ echo $HOME
>D:\Users\smith        <--seems to work
>
>bash$ cd ~
>bash.exe: D:Userssmith: No such file or directory
>
>It seems that the \'s have been removed, which I guess makes sense
>under bash.  Changing HOME to D:\\Users\\smith works for ~, but
>unfortunately doesn't work for emacs outside of bash, etc...
>
>I apologize if this is a problem with a well known solution, but I
>couldn't find it mentioned on any of bash/cygwin set up web pages.
>
>Thanks in advance,
>
>-Dan Karipides
>-----
>[email-masked]

Hi Dan,

This is a known problem but not necessarily well known.  Also, I am unaware
of a solution that fixes your particular case.  I ran into this a long time
ago but "fixed" it for my purposes by defining HOME to /Users/smith, let's
say (assuming D: is mounted on /).  Your option of using the drive and 
backslashes also would work if you escape the backslashes.  However, if
this collides with what Emacs expects, you're in trouble (I don't use Emacs).
Perhaps using a cygwin32 compiled version of Emacs would get you some 
closure?

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02181                    http://www.rfk.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".